Summary:	Interact with the EFI Boot Manager
Name:		efibootmgr
Version:	0.6.0
Release:	2
License:	GPL
Group:		System/Kernel and hardware
URL:		http://linux.dell.com/%{name}/
Source0:	http://linux.dell.com/%{name}/permalink/%{name}-%{version}.tar.gz
Patch0:         efibootmgr-0.6.0.autoload.module.patch
BuildRequires:	pciutils-devel zlib-devel
ExclusiveArch: %{ix86} x86_64 ia64

%description
This is efibootmgr, a Linux user-space application to modify the Intel
Extensible Firmware Interface (EFI) Boot Manager. This application can
create and destroy boot entries, change the boot order, change the
next running boot option, and more.

Details on the EFI Boot Manager are available from the EFI
Specification, v1.02 or above, available from <http://developer.intel.com>.

Note: efibootmgr requires that the kernel module efivars be loaded
prior to use.  `modprobe efivars` should do the trick.

%prep

%setup -q
%apply_patches

%build
make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_sbindir}
install -m755 src/efibootmgr/efibootmgr %{buildroot}%{_sbindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%doc doc/ChangeLog doc/TODO
%{_sbindir}/efibootmgr


%changelog
* Fri Jul 11 2014 Alex Burmashev <alex.burmashev@gmail.com> 0.6.0-2
+ Revision: 3ee8548
- update to 0.6


